#ifndef _MHOP_INIT_H_
#define _MHOP_INIT_H_

#include <bt/bt_hci_api.h>
#include <bt/bt_psm.h>

#define CON_MGR con_mgr_init

#define CON_MGR_INIT_FUNC \
	void (*cm_init) (struct btstack *bt_stack, \
					 bt_psm_t* psmux, \
					 u_short cm_psm, \
					 HCI_CON_TABLE_CB_REGISTRATION, \
					 u_long cm_cod)

bt_psm_t* mhop_init(struct btstack* bt_stack,
					u_short nr_services,
					u_short pkt_types,
					u_short nr_rcv_bufs,
					u_short nr_fwd_bufs,
					CON_MGR_INIT_FUNC,
					u_long cm_cod);

#endif //_MHOP_INIT_H_
